<script setup lang="ts">
import { useReceipetStore } from '@/stores/receipt'
import { useMembersStore } from '@/stores/member'

const memberStore = useMembersStore()
const receiptStore = useReceipetStore()

function confirm() {
  let lastestId = 1
  let latestId = 1
  receiptStore.receipts.forEach((receipt) => {
    if (receipt.id > lastestId) {
      latestId = receipt.id
    }
  })
  lastestId = latestId + 1
  receiptStore.receipt.id = lastestId++
  receiptStore.receipts.push(receiptStore.receipt)
  receiptStore.removePoint()
  receiptStore.addPoint()
  receiptStore.receiptDialog = false
  receiptStore.clear()
}
</script>

<template>
  <v-dialog v-model="receiptStore.receiptDialog" persistent width="auto">
    <v-card>
      <v-card-title class="text-h4" style="text-align: center">Receipt</v-card-title>
      <v-card-text>
        <v-row>D-Coffee</v-row>
        <v-row>Date {{ receiptStore.receipt.createdDate }}</v-row>
        <v-row>______________________________________________________</v-row>
        <v-row
          ><v-col>Employee</v-col><v-col></v-col
          ><v-col>{{ receiptStore.receipt.user?.fullname }}</v-col></v-row
        >
        <v-row
          ><v-col>Member</v-col><v-col></v-col
          ><v-col>{{
            memberStore.currentMember ? memberStore.currentMember.name : '-'
          }}</v-col></v-row
        >
        <v-row
          ><v-col>Payment</v-col><v-col></v-col
          ><v-col>{{ receiptStore.receipt.paymentType }}</v-col></v-row
        >
        <v-row>______________________________________________________</v-row>
        <v-row><v-col>MenuList</v-col></v-row>
        <v-row v-for="(item, index) in receiptStore.receipt.recieptItem" :key="index">
          <v-col>{{ item.name }}</v-col
          ><v-col>{{ item.unit }} x {{ item.price }} </v-col
          ><v-col>{{ item.price * item.unit }}</v-col>
        </v-row>
        <v-row>______________________________________________________</v-row>
        <v-row
          ><v-col>Total</v-col><v-col></v-col
          ><v-col>{{ receiptStore.receipt.totalBefore }}</v-col></v-row
        >
        <v-row
          ><v-col>Discount</v-col><v-col></v-col
          ><v-col>{{ receiptStore.receipt.memberDiscount }}</v-col></v-row
        >
        <v-row>______________________________________________________</v-row>
        <v-row
          ><v-col>Received</v-col><v-col></v-col
          ><v-col v-if="receiptStore.receipt.paymentType === 'scan'">{{
            receiptStore.receipt.total
          }}</v-col>
          <v-col v-if="receiptStore.receipt.paymentType === 'cash'">{{
            receiptStore.receipt.receicedAmount
          }}</v-col>
        </v-row>
        <v-row
          ><v-col>Change</v-col><v-col></v-col
          ><v-col>
            {{ receiptStore.receipt.change }}
          </v-col>
        </v-row>
        <v-row>=============================================</v-row>
        <v-row
          ><v-col style="font-size: x-large; font-style: inherit">NetTotal</v-col><v-col></v-col
          ><v-col style="font-size: x-large; font-style: inherit">{{
            receiptStore.receipt.total
          }}</v-col></v-row
        >
        <v-row>=============================================</v-row>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="green-darken-1" variant="text" @click="receiptStore.receiptDialog = false">
          Cancel
        </v-btn>
        <v-btn color="green-darken-1" variant="text" @click="confirm()"> Confirm</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
